Bug 864767 - SELinux is preventing /usr/sbin/tmpwatch from read access on the directory /var/cache/man/local/cat9.
SELinux is preventing /usr/sbin/tmpwatch from read access on the directory /v...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
18
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-10 00:40 EDT by akshay vyas
Modified: 2012-12-20 10:28 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 10:28:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description akshay vyas 2012-10-10 00:40:05 EDT
Description of problem:

SELinux is preventing /usr/sbin/tmpwatch from read access on the directory /var/cache/man/local/cat9.


Version-Release number of selected component (if applicable):
selinux-policy-3.11.1-32.fc18.noarch


Additional Information:
Source Context                system_u:system_r:tmpreaper_t:s0-s0:c0.c1023
Target Context                system_u:object_r:mandb_cache_t:s0
Target Objects                /var/cache/man/local/cat9 [ dir ]
Source                        tmpwatch
Source Path                   /usr/sbin/tmpwatch
Port                          <Unknown>
Host                          localhost.localdomain
Source RPM Packages           tmpwatch-2.11-2.fc18.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.11.1-32.fc18.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     localhost.localdomain
Platform                      Linux localhost.localdomain 3.6.1-1.fc18.x86_64 #1
                              SMP Mon Oct 8 17:19:09 UTC 2012 x86_64 x86_64
Alert Count                   18
First Seen                    2012-10-10 00:25:40 EDT
Last Seen                     2012-10-10 00:25:40 EDT
Local ID                      b3aa035f-e032-42a6-960b-e5f298103757

Raw Audit Messages
type=AVC msg=audit(1349843140.409:111): avc:  denied  { read } for  pid=3275 comm="tmpwatch" name="cat9" dev="sda3" ino=411696 scontext=system_u:system_r:tmpreaper_t:s0-s0:c0.c1023 tcontext=system_u:object_r:mandb_cache_t:s0 tclass=dir


type=SYSCALL msg=audit(1349843140.409:111): arch=x86_64 syscall=openat success=no exit=EACCES a0=ffffffffffffff9c a1=404923 a2=90800 a3=0 items=0 ppid=3254 pid=3275 auid=0 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=3 comm=tmpwatch exe=/usr/sbin/tmpwatch subj=system_u:system_r:tmpreaper_t:s0-s0:c0.c1023 key=(null)

Hash: tmpwatch,tmpreaper_t,mandb_cache_t,dir,read

audit2allow

#============= tmpreaper_t ==============
allow tmpreaper_t mandb_cache_t:dir read;

audit2allow -R

#============= tmpreaper_t ==============
allow tmpreaper_t mandb_cache_t:dir read;
Comment 1 Miroslav Grepl 2012-10-10 04:10:42 EDT
Fixed in selinux-policy-3.11.1-33.fc18
Comment 2 Fedora Update System 2012-10-11 05:04:52 EDT
selinux-policy-3.11.1-36.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/selinux-policy-3.11.1-36.fc18
Comment 3 Fedora Update System 2012-10-11 13:23:28 EDT
Package selinux-policy-3.11.1-36.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.11.1-36.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15934/selinux-policy-3.11.1-36.fc18
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-12-20 10:28:09 EST
selinux-policy-3.11.1-36.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.